Bug 21673 - Migrate from libglade to GtkBuilder
Summary: Migrate from libglade to GtkBuilder
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: glib frontend (show other bugs)
Version: unspecified
Hardware: Other All
: medium minor
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords: janitor
Depends on:
Blocks:
 
Reported: 2009-05-11 01:15 UTC by Andre Klapper
Modified: 2009-07-01 01:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
use gtkbuilder rather than libglade (22.88 KB, patch)
2009-06-29 06:22 UTC, Sebastien Bacher
Details | Splinter Review
the .ui corresponding to the change (23.46 KB, application/octet-stream)
2009-06-29 06:23 UTC, Sebastien Bacher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Klapper 2009-05-11 01:15:46 UTC
poppler-0.10.6 depends on libglade.

./test/pdf-inspector.glade: <!DOCTYPE glade-interface SYSTEM "http://glade.gnome.org/glade-2.0.dtd">
./test/pdf-inspector.cc:#include <glade/glade.h>
./configure.ac:  PKG_CHECK_MODULES(GTK_TEST, gtk+-2.0 >= 2.8.0 gdk-pixbuf-2.0 libglade-2.0 gthread-2.0)
./configure.ac:  PKG_CHECK_MODULES(GTK_TEST, gtk+-2.0 >= 2.8.0 gdk-pixbuf-2.0 libglade-2.0 gthread-2.0,


In GNOME 2.27, libglade has been deprecated in favor of GtkBuilder. See
http://library.gnome.org/devel/gtk/stable/gtk-migrating-GtkBuilder.html for
migration instructions. Also see
http://live.gnome.org/GnomeGoals/RemoveLibGladeUseGtkBuilder
Comment 1 Albert Astals Cid 2009-05-11 01:44:32 UTC
The tests depend on glade, not the library itself.

Patches welcome by the way.
Comment 2 Sebastien Bacher 2009-06-29 06:22:30 UTC
Created attachment 27220 [details] [review]
use gtkbuilder rather than libglade

the change makes poppler use gtkbuilder rather than libglade
Comment 3 Sebastien Bacher 2009-06-29 06:23:28 UTC
Created attachment 27221 [details]
the .ui corresponding to the change

git add doesn't seem to be enough to list new files in the diff so adding it there
Comment 4 Carlos Garcia Campos 2009-07-01 01:10:42 UTC
Fixed in git master. Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.